org.eclipse.wst.jsdt.ui.text.java

## Interface IJavaCompletionProposal

    public interface IJavaCompletionProposal

A completion proposal with a relevance value. The relevance value is used to sort the completion proposals. Proposals with higher relevance should be listed before proposals with lower relevance.

This interface can be implemented by clients.

See Also:
  `Provisional API: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.`

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `getRelevance()` Returns the relevance of this completion proposal.

### Method Detail

#### getRelevance

    int getRelevance()

Returns the relevance of this completion proposal.

The relevance is used to determine if this proposal is more relevant than another proposal.

Returns:
  the relevance of this completion proposal in the range of [0, 100]